package com.chushang.common.log.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 业务操作类型
 *
 * @author ruoyi
 */
@AllArgsConstructor
@Getter
public enum BusinessType
{
    /**
     * 其它
     */
    OTHER(1,"其他"),

    /**
     * 新增
     */
    INSERT(2,"新增"),

    /**
     * 修改
     */
    UPDATE(3,"修改"),

    /**
     * 删除
     */
    DELETE(4,"删除"),

    /**
     * 授权
     */
    GRANT(5,"授权"),

    /**
     * 导出
     */
    EXPORT(6,"导出"),

    /**
     * 导入
     */
    IMPORT(7,"导入"),

    /**
     * 强退
     */
    FORCE(8,"强退"),

    /**
     * 生成代码
     */
    GENCODE(9,"生成代码"),

    /**
     * 清空数据
     */
    CLEAR(10,"清空数据"),
    ;
    private final Integer code;
    private final String desc;
}
